Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Catalog

Catalog: Quick Order Forms

More information on Quick Order Forms can be found here https://support.zoey.com/docs/advanced-quick-order

Get

GET https://container-url.zoeysite.com/api/rest/quick-order-forms/:id

Example response (Get), HTTP 200:

{
    "quickorder_id": 2,
    "name": "Quick Order Form",
    "is_active": 1,
    "allow_new_rows": 1,
    "allow_row_deletion": 1,
    "allow_qty_change": 1,
    "default_qty": 0,
    "use_order_pad": 1,
    "customer_id": null,
    "sku_field_count": 0,
    "url": "",
    "product_count": 0,
    "product_sort": "sort_order",
    "product_lookup": "sku",
    "customer_group_ids": [],
    "products": [
        {
            "quickorder_product_id": 22,
            "product_id": 68689,
            "default_qty": 1,
            "buy_request": {
                "qty": 1
            },
            "product_sort_value": "0"
        },
        {
            "quickorder_product_id": 23,
            "product_id": 68688,
            "default_qty": 1,
            "buy_request": {
                "qty": 1
            },
            "product_sort_value": "1"
        },
        {
            "quickorder_product_id": 24,
            "product_id": 68687,
            "default_qty": 1,
            "buy_request": {
                "qty": 1
            },
            "product_sort_value": "2"
        },
        {
            "quickorder_product_id": 25,
            "product_id": 68686,
            "default_qty": 1,
            "buy_request": {
                "qty": 1
            },
            "product_sort_value": "3"
        },
        {
            "quickorder_product_id": 26,
            "product_id": 68685,
            "default_qty": 1,
            "buy_request": {
                "qty": 1
            },
            "product_sort_value": "4"
        },
        {
            "quickorder_product_id": 19,
            "product_id": 68680,
            "default_qty": 1,
            "buy_request": {
                "options": {
                    "3": [
                        5,
                        6,
                        7,
                        8
                    ],
                    "6": 17
                },
                "qty": 1,
                "option_inventory_location": null,
                "bundle_option": {
                    "3": [
                        5,
                        6,
                        7,
                        8
                    ],
                    "6": 17
                },
                "bundle_option_qty": [],
                "product_id": 68680
            },
            "product_sort_value": "5"
        },
        {
            "quickorder_product_id": 20,
            "product_id": 68664,
            "defa
... (truncated)

Get All

GET https://container-url.zoeysite.com/api/rest/quick-order-forms

Example response (Get All), HTTP 200:

[
    {
        "quickorder_id": 1,
        "name": "test",
        "is_active": 0,
        "allow_new_rows": 1,
        "allow_row_deletion": 1,
        "allow_qty_change": 1,
        "default_qty": 0,
        "use_order_pad": 0,
        "customer_id": null,
        "sku_field_count": 0,
        "url": "",
        "product_count": 0,
        "product_sort": "sort_order",
        "product_lookup": "sku",
        "customer_group_ids": [],
        "products": []
    },
    {
        "quickorder_id": 2,
        "name": "Quick Order Form",
        "is_active": 1,
        "allow_new_rows": 1,
        "allow_row_deletion": 1,
        "allow_qty_change": 1,
        "default_qty": 0,
        "use_order_pad": 1,
        "customer_id": null,
        "sku_field_count": 0,
        "url": "",
        "product_count": 0,
        "product_sort": "sort_order",
        "product_lookup": "sku",
        "customer_group_ids": [],
        "products": [
            {
                "quickorder_product_id": 22,
                "product_id": 68689,
                "default_qty": 1,
                "buy_request": {
                    "qty": 1
                },
                "product_sort_value": "0"
            },
            {
                "quickorder_product_id": 23,
                "product_id": 68688,
                "default_qty": 1,
                "buy_request": {
                    "qty": 1
                },
                "product_sort_value": "1"
            },
            {
                "quickorder_product_id": 24,
                "product_id": 68687,
                "default_qty": 1,
                "buy_request": {
                    "qty": 1
                },
                "product_sort_value": "2"
            },
            {
                "quickorder_product_id": 25,
                "product_id": 68686,
                "default_qty": 1,
                "buy_request": {
                    "qty": 1
                },
                "product_sort_value": "3"
            },
            {
                "quickorder_product_id": 26,
                "product_id": 68685,
                "default_qty": 1,
                "buy_request": {
                    "qty": 1
                },
                "product_sort_value": "4"
            },
            {
                "quickorder_product_id": 19,
                "product_id": 68680,
                "default_qty": 1,
                "buy_request": {
                    "options": {
                  
... (truncated)